import { ProviderMeta, ProviderSearchOptions, ProviderTorrent, ProviderName } from './providers';
export interface ProviderInfo extends ProviderMeta {
    name: string;
}
export declare function getProvidersInfo(): Promise<ProviderInfo[]>;
export declare function search(searchProviders: ProviderName[], query: string, options: ProviderSearchOptions): Promise<ProviderTorrent[]>;
export declare function isProviderSupported(name: unknown): name is ProviderName;
